Bug 47643

Summary: [Chromium] Support FileSystem in chromium DRT
Product: WebKit Reporter: Kinuko Yasuda <kinuko>
Component: WebCore Misc.Assignee: Nobody <webkit-unassigned>
Status: RESOLVED FIXED    
Severity: Normal CC: dglazkov, ericu, jamesr, ojan
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: PC   
OS: OS X 10.5   
Bug Depends on: 48729    
Bug Blocks:    
Attachments:
Description Flags
Patch
none
Patch levin: review+

Description Kinuko Yasuda 2010-10-13 18:08:50 PDT
[Chromium] Enable FileSystem for chromium DRT
Comment 1 Kinuko Yasuda 2010-10-13 18:14:53 PDT
Created attachment 70698 [details]
Patch
Comment 2 James Robinson 2010-10-13 18:29:58 PDT
Hmm, still getting timeouts on many tests locally (chromium linux)
Comment 3 Kinuko Yasuda 2010-10-13 18:41:53 PDT
(In reply to comment #2)
> Hmm, still getting timeouts on many tests locally (chromium linux)

I'm building the tests locally now... will look into them more closely.
Comment 4 James Robinson 2010-10-13 19:05:17 PDT
Comment on attachment 70698 [details]
Patch

OK, let's try to understand what is going on before landing stuff.
Comment 5 Kinuko Yasuda 2010-10-13 22:23:36 PDT
Ok I got it now and got it working locally.  It'll need more code (and support code in chromium) - I'll update the patch when other code becomes ready.
Comment 6 James Robinson 2010-10-13 23:56:38 PDT
Comment on attachment 70698 [details]
Patch

clearing flags, will need more code
Comment 7 Kinuko Yasuda 2010-10-19 21:38:48 PDT
Created attachment 71247 [details]
Patch
Comment 8 Kinuko Yasuda 2010-10-28 12:17:32 PDT
Committed r70796: <http://trac.webkit.org/changeset/70796>
Comment 9 Dimitri Glazkov (Google) 2010-10-29 16:26:50 PDT
It's really weird, but after landing this change, the Chromium Win tester (http://build.webkit.org/waterfall?show=Chromium%20Win%20Release%20(Tests) ) never ever finishes. When logging on into it locally, I see three DumpRenderTree.exe that are still running, even though the log says the testing is finished. Can you please investigate?
Comment 10 Dimitri Glazkov (Google) 2010-10-29 16:31:36 PDT
(In reply to comment #9)
> It's really weird, but after landing this change, the Chromium Win tester (http://build.webkit.org/waterfall?show=Chromium%20Win%20Release%20(Tests) ) never ever finishes. When logging on into it locally, I see three DumpRenderTree.exe that are still running, even though the log says the testing is finished. Can you please investigate?

If I kill the running DumpRenderTree.exe processes by hand, layout test task finishes as if nothing went wrong.

cc: Ojan -- this is why the Chromium Win bot was not delivering results.
Comment 11 Dimitri Glazkov (Google) 2010-11-01 10:36:16 PDT
(In reply to comment #10)
> (In reply to comment #9)
> > It's really weird, but after landing this change, the Chromium Win tester (http://build.webkit.org/waterfall?show=Chromium%20Win%20Release%20(Tests) ) never ever finishes. When logging on into it locally, I see three DumpRenderTree.exe that are still running, even though the log says the testing is finished. Can you please investigate?
> 
> If I kill the running DumpRenderTree.exe processes by hand, layout test task finishes as if nothing went wrong.
> 
> cc: Ojan -- this is why the Chromium Win bot was not delivering results.

I rd /s/q WebKit/chromium/third_party on that bot and kicked it, let's see what will happen. Kinuko, can you investigate locally if you can run DRT tests to completion on Win?
Comment 12 Dimitri Glazkov (Google) 2010-11-01 11:15:58 PDT
(In reply to comment #11)
> (In reply to comment #10)
> > (In reply to comment #9)
> > > It's really weird, but after landing this change, the Chromium Win tester (http://build.webkit.org/waterfall?show=Chromium%20Win%20Release%20(Tests) ) never ever finishes. When logging on into it locally, I see three DumpRenderTree.exe that are still running, even though the log says the testing is finished. Can you please investigate?
> > 
> > If I kill the running DumpRenderTree.exe processes by hand, layout test task finishes as if nothing went wrong.
> > 
> > cc: Ojan -- this is why the Chromium Win bot was not delivering results.
> 
> I rd /s/q WebKit/chromium/third_party on that bot and kicked it, let's see what will happen. Kinuko, can you investigate locally if you can run DRT tests to completion on Win?

It didn't help.
Comment 13 Kinuko Yasuda 2010-11-01 11:29:12 PDT
(In reply to comment #11)
> (In reply to comment #10)
> > (In reply to comment #9)
> > > It's really weird, but after landing this change, the Chromium Win tester (http://build.webkit.org/waterfall?show=Chromium%20Win%20Release%20(Tests) ) never ever finishes. When logging on into it locally, I see three DumpRenderTree.exe that are still running, even though the log says the testing is finished. Can you please investigate?
> > 
> > If I kill the running DumpRenderTree.exe processes by hand, layout test task finishes as if nothing went wrong.
> > 
> > cc: Ojan -- this is why the Chromium Win bot was not delivering results.
> 
> I rd /s/q WebKit/chromium/third_party on that bot and kicked it, let's see what will happen. Kinuko, can you investigate locally if you can run DRT tests to completion on Win?

Sure I will investigate this one locally.
Comment 14 Kinuko Yasuda 2010-11-01 12:46:45 PDT
(In reply to comment #13)
> (In reply to comment #11)
> > (In reply to comment #10)
> > > (In reply to comment #9)
> > > > It's really weird, but after landing this change, the Chromium Win tester (http://build.webkit.org/waterfall?show=Chromium%20Win%20Release%20(Tests) ) never ever finishes. When logging on into it locally, I see three DumpRenderTree.exe that are still running, even though the log says the testing is finished. Can you please investigate?
> > > 
> > > If I kill the running DumpRenderTree.exe processes by hand, layout test task finishes as if nothing went wrong.
> > > 
> > > cc: Ojan -- this is why the Chromium Win bot was not delivering results.
> > 
> > I rd /s/q WebKit/chromium/third_party on that bot and kicked it, let's see what will happen. Kinuko, can you investigate locally if you can run DRT tests to completion on Win?
> 
> Sure I will investigate this one locally.

Currently I'm building DRT on my Win but it's taking time.  Please ping me if you think this change must be reverted before further investigation.  Thanks,
Comment 15 Dimitri Glazkov (Google) 2010-11-01 15:23:14 PDT
(In reply to comment #12)
> (In reply to comment #11)
> > (In reply to comment #10)
> > > (In reply to comment #9)
> > > > It's really weird, but after landing this change, the Chromium Win tester (http://build.webkit.org/waterfall?show=Chromium%20Win%20Release%20(Tests) ) never ever finishes. When logging on into it locally, I see three DumpRenderTree.exe that are still running, even though the log says the testing is finished. Can you please investigate?
> > > 
> > > If I kill the running DumpRenderTree.exe processes by hand, layout test task finishes as if nothing went wrong.
> > > 
> > > cc: Ojan -- this is why the Chromium Win bot was not delivering results.
> > 
> > I rd /s/q WebKit/chromium/third_party on that bot and kicked it, let's see what will happen. Kinuko, can you investigate locally if you can run DRT tests to completion on Win?
> 
> It didn't help.

I've confirmed locally that reverting this doesn't fix the problem.
Comment 16 Kinuko Yasuda 2010-11-01 15:50:54 PDT
(In reply to comment #15)
> (In reply to comment #12)
> > (In reply to comment #11)
> > > (In reply to comment #10)
> > > > (In reply to comment #9)
> > > > > It's really weird, but after landing this change, the Chromium Win tester (http://build.webkit.org/waterfall?show=Chromium%20Win%20Release%20(Tests) ) never ever finishes. When logging on into it locally, I see three DumpRenderTree.exe that are still running, even though the log says the testing is finished. Can you please investigate?
> > > > 
> > > > If I kill the running DumpRenderTree.exe processes by hand, layout test task finishes as if nothing went wrong.
> > > > 
> > > > cc: Ojan -- this is why the Chromium Win bot was not delivering results.
> > > 
> > > I rd /s/q WebKit/chromium/third_party on that bot and kicked it, let's see what will happen. Kinuko, can you investigate locally if you can run DRT tests to completion on Win?
> > 
> > It didn't help.
> 
> I've confirmed locally that reverting this doesn't fix the problem.

Some additional notes...
I got the same results, it hangs with and without this fix), but only if I used cygwin's python 2.5.2.

In my local testing it worked fine (it warned some wedged threads warning though) when I used python 2.6 or 2.7 downloaded from www.python.org.
Also it didn't hang when I ran it with --child-processes=1 flag.  (I found this flag on the thread: http://groups.google.com/a/chromium.org/group/chromium-dev/browse_thread/thread/495546e6919b99e3?pli=1)